* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
@font-face {
  font-family: "gothamssm";
  src: url("./assets/fonts/gothamssm_medium.otf") format("truetype");
}
body {
  font-family: "gothamssm";
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 40px;
  background-color: #000;
  box-shadow: 0px 4px 12.7px 0px rgba(0, 0, 0, 0.25);
  color: #fff;
  position: sticky;
  top: 0;
  z-index: 2;
}
.body-container {
  padding: 20px;
  position: relative;
}
.body-container .filters-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}
.body-container .filters-container .filters {
  display: flex;
  align-items: center;
  gap: 10px;
}
.body-container .filters-container .filters span {
  padding: 12px;
  border-radius: 15px;
  cursor: pointer;
  background-color: transparent;
  color: #000;
  border: solid #000 1px;
}
.body-container .filters-container .filters span.active {
  background-color: #000;
  color: #fff;
}
.cards-container,
.cards {
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.cards-container .card {
  padding: 25px;
  border-radius: 10px;
  background-color: #f0f0f0;
  cursor: pointer;
  min-width: 32%;
  box-shadow: 0px 4px 12.7px 0px rgba(0, 0, 0, 0.25);
}

.info-titles {
  display: flex;
  text-align: left;
  margin-bottom: 18px;
  gap: 48px;
}
.info-titles.status {
  margin-top: 32px;
}
.info-titles span:first-child {
  font-weight: bold;
  font-size: 18px;
  min-width: 180px;
}

.info-titles button {
  font-weight: 400;
  font-size: 16px;
  background-color: #fff;
  border-radius: 16px;
  padding: 10px;
  border: none;
  cursor: pointer;
}

.info-titles button.Delivered {
  background-color: rgba(67, 203, 102, 0.15);
  color: rgba(43, 209, 85, 1);
}
.info-titles button.Preparing {
  background-color: rgba(240, 153, 17, 0.1);
  color: rgba(240, 153, 17, 1);
}
.info-titles button.Cancelled {
  background-color: rgba(235, 32, 39, 0.15);
  color: rgba(233, 62, 68, 1);
}
.pop-up {
  position: fixed;
  top: 25%;
  background-color: #fff;
  min-height: 100px;
  max-width: 500px;
  white-space: wrap;
  border-radius: 16px;
  padding: 50px;
  box-shadow: 0px 4px 12.7px 0px rgba(0, 0, 0, 0.25);
  line-height: 1.8;
  text-align: center;
}
.pop-up.hide {
  display: none;
}
.pop-up .close-icon {
  position: absolute;
  right: 15px;
  top: 10px;
  cursor: pointer;
  background-color: gray;
  border-radius: 50%;
  width: 30px;
  height: 30px;
}
.pop-up .action-btns {
  display: flex;
  gap: 20px;
  margin-top: 30px;
  justify-content: center;
}
.pop-up .action-btns button {
  font-weight: 400;
  font-size: 16px;
  background-color: #b7afaf;
  border-radius: 16px;
  padding: 10px 40px;
  color: #fff;
  border: none;
  cursor: pointer;
}
.pop-up .action-btns button.deliver {
  background-color: rgba(43, 209, 85, 1);
}
.pop-up .action-btns button.cancel {
  color: #fff;
  background-color: rgba(233, 62, 68, 1);
}
.pop-up .action-btns button.yes-btn {
  background-color: #000;
}
.pop-up .action-btns button.no-btn {
  background-color: transparent;
  color: #000;
  border: solid #000 2px;
}

@media (max-width: 1024px) {
  .cards-container {
    flex-direction: column;
  }
  .cards-container .card {
    width: 100%;
  }
  .info-titles span:first-child {
    min-width: 80px;
  }
  .pop-up {
    padding: 15px;
    max-width: 270px;
  }
  .pop-up .action-btns {
    gap: 20px;
  }
  .filters-container {
    flex-direction: column;
    gap: 20px;
  }
  .filters-container .filters {
    flex-direction: column;
  }
}
